/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLMarqueeElement_H___INT_
#define __GdomHTMLMarqueeElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLMarqueeElement.h"
G_BEGIN_DECLS
class GDOMHTMLMarqueeElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_MARQUEE_ELEMENT; }
    GDOMHTMLMarqueeElement(PassRefPtr<WebCore::HTMLMarqueeElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLMarqueeElement_H___INT_*/
